3 Replies Latest reply: Nov 10, 2008 9:34 AM by 843851 RSS

    PLEASE HELP ME COMPILE

    843851
      Hi, I'm desesperate, been hours searching how to compile a .java file that contains an Xlet Example, and I have to show an xlet example compiled and running on xletview for a grade...SO I'M REALLY STRESSED OUT, I know a lil, bout java, I made some applets, some applications, but I always used an IDE (Jcreator) and I just installed the jdk, and when installing the IDE I just putted the jdk folder and voila, everything compiled, but now I try running a sample of a xlet code and it doesn't get the imports like javax.tv. etcetcetc and more, how can I add this missing files.

      I just need a way to compile the file, a tutorial to tell me what to do, download etc would be GREATLY appreaciated for my entire life, I'm falling asleep I hope this works and thanks guys.

      Happy programming.
        • 1. Re: PLEASE HELP ME COMPILE
          843851
          Hi,
          Here you can find a tutorial of How to getting started:
          [ http://www.interactivetvweb.org/tutorials/getting_started/xletview|http://www.interactivetvweb.org/tutorials/getting_started/xletview]

          You have to download some .jar packages and add them as libraries in the settings of the project. Also you have to add XletView in the projects target. And finally configure the parametres on "Run as" to run XletView passing your Xlet in input parameters (I use Eclipse).

          greetings
          • 2. Re: PLEASE HELP ME COMPILE
            843851
            You didn't say whether you're doing OCAP or MHP or etc.

            Assuming you are doing OCAP (which is not necessarily a good assumption), download the stubs from here and put them in your project directory. This has all the OCAP APIs stubbed out. I haven't worked with MHP but my guess is that they have something similar.

            Also be aware that you'll need to compile using Java 1.0. It may be hard to find an IDE that supports 1.0, but luckily 1.1 is mostly bytecode compatible, so generally 1.1 will work.
            • 3. Re: PLEASE HELP ME COMPILE
              843851
              How to compile a .jva file.
              I used to use command "javac ****.java". But it is not working now. I get error message. i have j2sks 4 loaded.
              I am able to run my old files using command "java 'filename' ".